Submitted by : simon at: 2006-01-19T05:43:02+00:00 (11 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

 (05:26:49) TinoW: sm: zope-trunk does not have globals get_transaction() anymore. You need import transaction; transaction.get()
(05:27:16) sm: oh.. for zope 2.9+, right
(05:36:39) sm: TinoW: I remember chatting about get_transaction before (with you ?) we need a fix that's compatible with all versions, if possible
(05:38:47) TheJester: try: from transaction import get_transaction; except: pass
(05:38:47) TheJester: ?
(05:39:13) TinoW: sm: yes, thats a problem. TheJesters Hack is valid, but its also kinda ugly imho ...
(05:39:24) TheJester: Unless you want to create ZopeTransaction.py
(05:39:28) TheJester: which does it


comments:

... --simon, Wed, 08 Feb 2006 18:14:28 -0800 reply
Zope 2.9.0 restored the old transaction api for backwards compatibility, but it's deprecated and we still need to find a way to work with both old and new apis.

(property change) fixed for 0.51 --simon, Sat, 11 Feb 2006 20:53:33 -0800 reply
Status: open => closed